Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class AprLifecycleListener

    java.lang.Object
      org.apache.catalina.core.AprLifecycleListener

All Implemented Interfaces:
  LifecycleListener

public class AprLifecycleListener
extends java.lang.Object
implements LifecycleListener

Implementation of `LifecycleListener` that will init and and destroy APR.

Since:
  4.1
Version:
  $Revision: 466608 $ $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Remy Maucherat

Field Summary
`protected static int` | `RECOMMENDED_PV`
`protected static int` | `REQUIRED_MAJOR`
`protected static int` | `REQUIRED_MINOR`
`protected static int` | `REQUIRED_PATCH`
`protected StringManager` | `sm` The string manager for this package.

Constructor Summary
`AprLifecycleListener()`

Method Summary
`void` | `lifecycleEvent(LifecycleEvent event)` Primary entry point for startup and shutdown events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected StringManager sm

  The string manager for this package.

### REQUIRED_MAJOR

    protected static final int REQUIRED_MAJOR

See Also:
  Constant Field Values

### REQUIRED_MINOR

    protected static final int REQUIRED_MINOR

See Also:
  Constant Field Values

### REQUIRED_PATCH

    protected static final int REQUIRED_PATCH

See Also:
  Constant Field Values

### RECOMMENDED_PV

    protected static final int RECOMMENDED_PV

See Also:
  Constant Field Values

Constructor Detail

### AprLifecycleListener

    public AprLifecycleListener()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Primary entry point for startup and shutdown events.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The event that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.